Subject: Multiple Boards with same MAC addresses - problem.

From: powerpc440 <[email-masked]>
Date: Tue, 10 Apr 2007 16:51:04 +0200

Hello all,

I have multiple boards, based on ppc405ep (which include on-chip two
ethernet ports). I'm configure the MAC address in u-boot and all works
great. The problem appears when I use two or more boards in one network,
because the MAC addresses are the same. Now I'm making a own u-boots for
each board, but this solution is not very comfortable.
My question is, which is the standard way to resolve such problem? I
would have only one generic u-boot. Is this possible?

Best regards,

Zhivko Yordanov